> For the complete documentation index, see [llms.txt](https://docs.edgetag.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.edgetag.io/channels/tatari/api.md).

# API

{% hint style="warning" %}
This section is intended for developers utilizing our APIs to add channels.
{% endhint %}

Below you will find the keys to generate secret payloads for adding or updating a channel via the [Script API](/api/api/script.md).

Refer to the [onboarding](https://app.gitbook.com/o/c0Wts1N48p0Ba5S58p8v/s/ZJWZKbUk0hRISkCIj2p4/~/changes/99/channels/tatari/onboarding) page for detailed information on the purpose and usage of each input.

### TATARI\_TOKEN

Tatari Token is the identifier we use to send events to tatari. You can think of it like a pixel id.\
\
**Example value**\
732b6eb9-f755-8b54-875f-2dba16c68938\
\
**Type**\
IDENTIFIER\
\
**Optional**\
false

### TATARI\_BROWSER\_PIXEL

Since we are only doing browser pixel with tatari integration, it should always be sent as 1.\
\
**Possible Values**\
0 or 1\
\
**Type**\
CHECKBOX\
\
**Optional**\
true

### TATARI\_MAPPED\_EVENTS

Use for storing the events mapping between EdgeTag events and Tatari events. This would help us in identifying what tatari event name should the data be sent to, when i get an EdgeTag event. The first item in the array is EdgeTag event and the second item in the array is Tatari event that i want to use.

**Example value**\
`'[["PageView","page_view_blotout"],["AddToCart","add_to_cart_blotout"],["Purchase","purchase_blotout"]]'`\
\
**Type**\
TEXT\
\
**Optional**\
false


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.edgetag.io/channels/tatari/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
